Bug 1288934 - (CVE-2015-7553) CVE-2015-7553 kernel: nfnetlink race in NETLINK_NFLOG socket creation
CVE-2015-7553 kernel: nfnetlink race in NETLINK_NFLOG socket creation
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151215,repor...
: Security
Depends On: 1235978 1288936 1288937 1290279
Blocks: 1254622
  Show dependency treegraph
 
Reported: 2015-12-06 23:20 EST by Wade Mealing
Modified: 2018-02-07 18:09 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A race-condition flaw was discovered in the kernel's netlink module creation, which can trigger a kernel panic in netlink_release->module_put for local users creating netlink sockets. The flaw is specific to Red Hat Enterprise Linux and does not affect upstream kernels. The nfnetlink_log module must be loaded before the flaw can occur.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2015-12-06 23:20:24 EST
A race condition in netlink socket creation can trigger a kernel panic in netlink_release->module_put for local users creating netlink sockets.

This issue is specific to Red Hat Enterprise Linux and does not affect upstream kernels.  This issue was introduced in commit 3500659804251facce0cf4ee2ca657e0108e9a4f.  This was introduced in kernel-3.10.0-304.el7 in the fix titled:

[net] netfilter: log: protect nf_log_register against double registering.

It requires the nfnetlink_log module to be loaded to be effective.

This commit was introduced as part of a patchset that was required to backport netfilter functionality from upstream while attempting to maintain KABI.  This flaw is RHEL specific.
Comment 6 Wade Mealing 2015-12-09 21:23:20 EST
Statement:

This issue does not affect Red Hat Enterprise Linux 5 and 6.

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux  7, kernel-rt and Red Hat Enterprise MRG 2 and may be addressed in a future update.

Note You need to log in before you can comment on or make changes to this bug.